<!doctype html>
<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="/public/css/styles.css">
  <link rel="stylesheet" href="/public/css/style_prerender.css">
  <link rel="stylesheet" href="/public/css/MultiForm/style_form.css">
  <link rel="stylesheet" href="/public/css/MultiForm/cookie_form.css">
  <meta charset="utf-8">
  <!-- <script
  src="https://code.jquery.com/jquery-3.5.1.js"
  integrity="sha256-QWo7LDvxbWT2tbbQ97B53yJnYU3WhH/C8ycbRAkjPDc="
  crossorigin="anonymous"></script> -->
  <script src="/public/library/jquery/jquery-1.7.1.min.js"></script>
  <script src="/public/library/jquery/jquery-ui-1.8.17.custom.min.js"></script>
  <script src="/public/library/FileFunctions.js"></script>

  <script src="/public/library/FormFunctions.js"></script>
  <script src="/public/library/ImageCompression.js"></script>
  <script src="/public/library/cookieLibrary.js"></script>
  <script src="/public/library/InvitesFunctions.js"></script>
  <script src="/public/library/ckeditor/ckeditor.js"></script>
  <script src="/public/library/ckeditor/adapters/jquery.js"></script>

  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> 
  <title>InviteGenerator 0.1</title>
</head>
<body  onload=""  onunload="deleteAllCookies('session')">
   <div class="logo">
  <span class="Logofrente">Invite</span> <span class="Logotras"> Generator</span></div>
  <div class="container">
  


<div class="box">

  <div class="boxTitle"></div>
<div id ="status"></div>  
<nav class="menu">
<ul class="separator" id="indicator">
</ul>
</nav>
  <br>


<div class="main">
 
<%- include('./components/' + 'previewComponent') %>
<form id="myForm" > 
  
<div id="Steps">
  <% Options.MultiFormOptions.map((item)=> { %>
  <div id="Step<%= item.id %>">

 
     <%if(item.inflate) {%>
    
      
      <%- include(item.inflate, {views: item.view}); %>
      
    <% }else {%>
    <span class="descricao"><%- item.descricao %></span>
 
<% for (var i = 0;i < item.view.length;i++){%>
<%- include('./MultiForm/' + item.view[i]) %>
<% } %>
  <% }%>



 </div>
    <% }) %>

</div>

<input type="hidden" name="convidadosLista" id="inputconvidado"/><br>
<input type="hidden" name="imagebackground" id="imagebackground"/><br>
</form>   


<img src="" id="imgReview" alt="">







<div class="options">
  <div class="ballon"> 
    <label>Controles</label><br>
    <button onclick="back()">Back</button>
  <button onclick="next()">Next</button>
  
     <button id="button" type="button" value="send">Salvar</button>
     <button download="proposed_file_name" onclick="window.location = '/pdfgenerator/1'" >Salvar PDF</button>
    <button id ="dialogBtn">Pré visualizar</button>
  </div>
  </div>



</div>



  </div>
  <div id="ResultConviteScopo"  >
    <div id="dialog">
      <iframe  id="prerenderpage" src=""></iframe>
    </div>  
  </div>
</div>


        <script>
          CKEDITOR.replace('txtMessage');
     
        </script>
        <% if (locals.Type) { %>
        <script>
  var type = '<%- invitetype %>'
  setInviteType(type)
  </script>
        <% } %>
      
<% if (locals.modelInviteWidht && locals.modelInviteHeight) { %>
  <script>
  var matrizInviteRow = '<%- matrizInviteRow %>'
  var modelInviteWidht = '<%- modelInviteWidht %>'
  var modelInviteHeight = '<%- modelInviteHeight %>'
  var convites = '<%- convites %>'
 
  var textrow = document.getElementById('linha')
  var textaltura= document.getElementById('altura')
  var textlargura= document.getElementById('largura')
  var quantidade = document.getElementById('convites')
textrow.value = matrizInviteRow
textaltura.value = modelInviteHeight
textlargura.value = modelInviteWidht
quantidade.value = convites

  </script>
  
        <% } %>

   

        <%- include('./components/' + 'invitetypeComponent') %>
        
     <%- include('./components/' + 'navigationComponent') %>
     
      <% if (locals.Options.MultiFormOptions) { %>
        <script>
   
        var totalLenght = '<%- Options.MultiFormOptions.length %>';
        var OptionsMap = '<%- JSON.stringify(Options.Options) %>'
        var view = '<%- view %>'
        var id = '<%- id %>'

invitetypechange()
console.log(view)
  if(view == 'true'){
    isprevisualizer = false
  }else{
    isprevisualizer = true
  }
ReloadPreview()




        </script>
        
        <% } %>

</body>
</html>